io.vertx.reactivex.ext.auth.shiro

## Class ShiroAuth

- java.lang.Object
- - io.vertx.reactivex.ext.auth.AuthProvider
  - - io.vertx.reactivex.ext.auth.shiro.ShiroAuth

-     public class ShiroAuth
      extends AuthProvider

  Factory interface for creating Apache Shiro based `AuthProvider` instances.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<ShiroAuth>` | `__TYPE_ARG`
    `static String` | `DEFAULT_ROLE_PREFIX` The default role prefix

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ShiroAuth(ShiroAuth delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ShiroAuth` | `create(Vertx vertx, ShiroAuthOptions options)` Create a Shiro auth provider
    `static ShiroAuth` | `create(Vertx vertx, ShiroAuthRealmType realmType, JsonObject config)` Deprecated.
    `boolean` | `equals(Object o)`
    `ShiroAuth` | `getDelegate()`
    `int` | `hashCode()`
    `static ShiroAuth` | `newInstance(ShiroAuth arg)`
    `ShiroAuth` | `setRolePrefix(String rolePrefix)` Set the role prefix to distinguish from permissions when checking for isPermitted requests.
    `String` | `toString()`

    - ### Methods inherited from class io.vertx.reactivex.ext.auth.AuthProvider

      `authenticate, newInstance, rxAuthenticate`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<ShiroAuth> __TYPE_ARG

    - #### DEFAULT_ROLE_PREFIX

          public static final String DEFAULT_ROLE_PREFIX

      The default role prefix
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ShiroAuth

          public ShiroAuth(ShiroAuth delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `AuthProvider`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `AuthProvider`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `AuthProvider`

    - #### getDelegate

          public ShiroAuth getDelegate()

      Overrides:
        `getDelegate` in class `AuthProvider`

    - #### create

          @Deprecated
          public static ShiroAuth create(Vertx vertx,
                                                     ShiroAuthRealmType realmType,
                                                     JsonObject config)

      Deprecated.
      Create a Shiro auth provider
      Parameters:
        `vertx` - the Vert.x instance
        `realmType` - the Shiro realm type
        `config` - the config
      Returns:
        the auth provider

    - #### create

          public static ShiroAuth create(Vertx vertx,
                                         ShiroAuthOptions options)

      Create a Shiro auth provider
      Parameters:
        `vertx` - the Vert.x instance
        `options` - the Shiro configuration options
      Returns:
        the auth provider

    - #### setRolePrefix

          public ShiroAuth setRolePrefix(String rolePrefix)

      Set the role prefix to distinguish from permissions when checking for isPermitted requests.
      Parameters:
        `rolePrefix` - a Prefix e.g.: "role:"
      Returns:
        a reference to this for fluency

    - #### newInstance

          public static ShiroAuth newInstance(ShiroAuth arg)

Copyright © 2019 Eclipse. All rights reserved.